package de.szut.lf8_starter.project;

import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;

@Service
public class ProjectService {
    private final ProjectRepository projectRepository;

    public ProjectService(ProjectRepository projectRepository) {
        this.projectRepository = projectRepository;
    }

    public ProjectEntity create(ProjectEntity projectEntity) {
        return this.projectRepository.save(projectEntity);
    }

    public List<ProjectEntity> readAll() {
        return this.projectRepository.findAll();
    }

    public Optional<ProjectEntity> findById(Long id) {
        return projectRepository.findById(id);
    }

    public ProjectEntity update(ProjectEntity project) {
        this.projectRepository.save(project);

        return project;
    }

    public void delete(Long id) {
        this.projectRepository.deleteById(id);
    }
}
